from astropy.utils.data import download_file
import matplotlib.pyplot as plt

proxima_spectrum_url = 'https://drive.google.com/uc?export=download&id=1I7E1x1XRjcxXNQXiuaajb_Jz7Wn2N_Eo'
proxima_spectrum_path = download_file(proxima_spectrum_url, cache=True,
                                      show_progress=False)

from hipparchus import EchelleSpectrum

spectrum = EchelleSpectrum.from_e2ds(proxima_spectrum_path)

spectrum.continuum_normalize()
spectrum.plot()
plt.xlabel('Wavelength [$\AA$]')
plt.ylabel('Normalized Flux')
plt.ylim([0, 1.5])