from astropy.utils.data import download_file
import matplotlib.pyplot as plt
from hipparchus import Template, EchelleSpectrum, cross_corr

lkca4_spectrum_url = 'https://drive.google.com/uc?export=download&id=1x3nIg1P5tYFQqJrwEpQU11XQOs3ImH3v'
lkca4_spectrum_path = download_file(lkca4_spectrum_url, cache=True,
                                      show_progress=False)
spectrum = EchelleSpectrum.from_e2ds(lkca4_spectrum_path)

template_3000_tio_url = 'https://drive.google.com/uc?export=download&id=1eGUBfk7Q9zaXgJQJtVFB6pit7cmoGCpn'
template_3000_tio_path = download_file(template_3000_tio_url, cache=True,
                                       show_progress=False)
template_3000_tio = Template.from_npy(template_3000_tio_path)

ccf = cross_corr(spectrum.nearest_order(6800), template_3000_tio)
ccf.plot()

plt.xlabel('Radial Velocity [km/s]')
plt.ylabel('CCF')